{$APPTYPE CONSOLE}
var t,n,i,j,s,x,y,l,v:integer; k:real;
begin
  assign(input, 'TRANSPORT.IN'); reset(input);
  readln(t);
  for i:=1 to t do
   begin
   readln(n,v,l); k:=0;
   for j:=1 to n do
     begin
     read(x,y);
     if x<=l then k:=k+y;
     end;
   k:=k+(l/v*60);
   writeln(k:5:2);
   end;
end.